export CUSTOM_CSS_VERSION=v2
export CUSTOM_FLOWS_VERSION=v2

customize() {
    if [ -z "$1" ]
    then
            echo "Usage: ... customize <assets_path>"
            exit 1
    fi
    # TODO: use env to specify source and target files
    if [ -e $1/flow_background.jpg ]
    then
        echo copy flow_background.jpg
        abra app cp $APP_NAME $1/flow_background.jpg app:/web/dist/assets/images/
    fi
    if [ -e $1/icon_left_brand.svg ]
    then
        echo copy icon_left_brand.svg
        abra app cp $APP_NAME $1/icon_left_brand.svg app:/web/dist/assets/icons/
    fi
    if [ -e $1/icon.png ]
    then
        echo copy icon.png
        abra app cp $APP_NAME $1/icon.png app:/web/dist/assets/icons/
    fi
}

set_admin_pass() {
password=$(cat /run/secrets/admin_pass)
token=$(cat /run/secrets/admin_token)
/manage.py shell -c """
akadmin = User.objects.get(username='akadmin')
akadmin.set_password('$password')
akadmin.save()
print('Changed akadmin password')

from authentik.core.models import TokenIntents
key='$token'
if (token:= Token.objects.filter(identifier='authentik-bootstrap-token').first()):
    token.key=key
    token.save()
    print('Changed authentik-bootstrap-token')
else: 
    Token.objects.create(
        identifier='authentik-bootstrap-token',
        user=akadmin,
        intent=TokenIntents.INTENT_API,
        expiring=False,
        key=key,
    )
    print('Created authentik-bootstrap-token')
"""
}

rotate_db_pass() {
    db_password=$(cat /run/secrets/db_password)
    psql -U authentik -c """ALTER USER authentik WITH PASSWORD '$db_password';"""
}
